Reinforcement StraightRebar/it: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
Line 36: Line 36:
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:
Lo strumento {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Armatura dritta}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:


'''1. When orientation of straight rebar is horizontal:'''
'''1. Quando l'orientamento dell'armatura è orizzontale:'''
{{Code|code=
{{Code|code=
makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
Line 42: Line 42:


Note:
Note:
* L'argomento di CoverAlong è una tupla. Sintassi: {{KEY|(<Along>, <Value>)}}. Qui abbiamo l'orientamento verticale quindi possiamo fornire {{KEY|Left Side}} e {{KEY|Right Side}} come argometi <Along>.
* Type of CoverAlong argument is a tuple. Syntax: {{KEY|(<Along>, <Value>)}}. Here we have horizontal orientation so we can pass {{KEY|Top Side}} and {{KEY|Bottom Side}} to <Along> arguments.
Per esempio. {{KEY|("Left Side", 20)}} e {{KEY| ("Right Side", 20)}}
For eg. {{KEY|("Top Side", 20)}} and {{KEY| ("Bottom Side", 20)}}


'''2. When orientation of straight rebar is vertical:'''
'''2. Quando l'orientamento dell'armatura è vertcale:'''
{{Code|code=
{{Code|code=
makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
Line 51: Line 51:


Note:
Note:
* L'argomento di CoverAlong è una tupla. Sintassi: {{KEY|(<Along>, <Value>)}}. Here we have vertical orientation so we can pass {{KEY|Left Side}} and {{KEY|Right Side}} to <Along> arguments.
* Type of CoverAlong argument is a tuple. Syntax: {{KEY|(<Along>, <Value>)}}. Here we have vertical orientation so we can pass {{KEY|Left Side}} and {{KEY|Right Side}} to <Along> arguments.
For eg. {{KEY|("Left Side", 20)}} and {{KEY| ("Right Side", 20)}}
For eg. {{KEY|("Left Side", 20)}} and {{KEY| ("Right Side", 20)}}


Line 63: Line 63:
* Restituisce il nuovo oggetto Rebar.
* Restituisce il nuovo oggetto Rebar.


<div class="mw-translate-fuzzy">
Esempio:
Esempio:
Creare una armatura Straight.
Creare una armatura Straight.
{{Code|code=
import Arch, StraightRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")
}}
</div>
{{Code|code=
{{Code|code=
import Arch, StraightRebar
import Arch, StraightRebar
Line 73: Line 82:
}}
}}


Changing properties of Straight rebar.
Cambiare le proprietà di una armatura Straight.
{{Code|code=
{{Code|code=
import StraightRebar
import StraightRebar

Revision as of 18:28, 20 May 2018

Armatura dritta

Posizione nel menu
Arch → Strumenti armatura
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura a U, Armatura a L, Armatura sagomata, Staffe armatura, Armatura elicoidale
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

Lo strumento Armatura dritta crea una armatura diritta in un elemento strutturale selezionato.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura dritta dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Lo strumento Armatura dritta può essere usato nelle macro e dalla console python utilizzando la seguente funzione:

1. When orientation of straight rebar is horizontal:

makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)

Note:

  • Type of CoverAlong argument is a tuple. Syntax: (<Along>, <Value>). Here we have horizontal orientation so we can pass Top Side and Bottom Side to <Along> arguments.

For eg. ("Top Side", 20) and ("Bottom Side", 20)

2. When orientation of straight rebar is vertical:

makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)

Note:

  • Type of CoverAlong argument is a tuple. Syntax: (<Along>, <Value>). Here we have vertical orientation so we can pass Left Side and Right Side to <Along> arguments.

For eg. ("Left Side", 20) and ("Right Side", 20)




  • Aggiunge un oggetto armatura Straigh all'oggetto strutturale specificato.
  • Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
  • Here CoverAlong argument is having type tuple.
  • Restituisce il nuovo oggetto Rebar.

Esempio: Creare una armatura Straight.

import Arch, StraightRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")
import Arch, StraightRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")

Changing properties of Straight rebar.

import StraightRebar
StraightRebar.editStraightRebar(rebar, 25, ("Top Side", 20), 20, 20, 8, True, 10, "Horizontal")